# ISCompressIndicesGeneral

convert the indices into block indices Input Parameters: + n - the length of the index set . bs - the size of block . imax - the number of index sets - is_in - the non-blocked array of index sets

### Synopsis

    PetscErrorCode PETSCVEC_DLLEXPORT ISCompressIndicesGeneral(PetscInt n,PetscInt bs,PetscInt imax,const IS is_in[],IS is_out[])

### Output Parameter

is_out -the blocked new index set

Level:intermediate
Location: src/vec/is/utils/isblock.c
Index of all IS routines
Table of Contents for all manual pages
Index of all manual pages